searchNodes=[{"doc":"Functions for complex number operations.","ref":"ComplexNumber.html","title":"ComplexNumber","type":"module"},{"doc":"Returns the absolute value of the given complex number.iex&gt; ComplexNumber.abs(ComplexNumber.new(4, -3)) 5.0 iex&gt; ComplexNumber.abs(4.2) 4.2","ref":"ComplexNumber.html#abs/1","title":"ComplexNumber.abs/1","type":"function"},{"doc":"Adds two complex numbers.iex&gt; ComplexNumber.add(ComplexNumber.new(0.5, 2.5), ComplexNumber.new(2.5, 1.5)) %ComplexNumber{radius: 5.0, theta: 0.9272952180016122} iex&gt; ComplexNumber.add(ComplexNumber.new(0.5, 4), 2.5) %ComplexNumber{radius: 5.0, theta: 0.9272952180016121} iex&gt; ComplexNumber.add(2.5, ComplexNumber.new(0.5, 4)) %ComplexNumber{radius: 5.0, theta: 0.9272952180016121} iex&gt; ComplexNumber.add(3.5, 2.5) 6.0","ref":"ComplexNumber.html#add/2","title":"ComplexNumber.add/2","type":"function"},{"doc":"Divides a complex number by another one.iex&gt; ComplexNumber.divide(ComplexNumber.new(3, -0.5), ComplexNumber.new(2, 1.5)) %ComplexNumber{radius: 1.2165525060596438, theta: -0.8086497862079112} iex&gt; ComplexNumber.divide(ComplexNumber.new(3, -0.75), ComplexNumber.new(2, -0.5)) 1.5 iex&gt; ComplexNumber.divide(ComplexNumber.new(-3, -0.75), ComplexNumber.new(2, 0.5)) -1.5 iex&gt; ComplexNumber.divide(3, ComplexNumber.new(2, 1.5)) %ComplexNumber{radius: 1.2, theta: -0.6435011087932844} iex&gt; ComplexNumber.divide(ComplexNumber.new(3, -0.5), 2) %ComplexNumber{radius: 1.5206906325745548, theta: -0.16514867741462683} iex&gt; ComplexNumber.divide(3, 2) 1.5","ref":"ComplexNumber.html#divide/2","title":"ComplexNumber.divide/2","type":"function"},{"doc":"Returns the imaginary part of the given complex number.iex&gt; ComplexNumber.imaginary(ComplexNumber.new(6.2, 3)) 3.0 iex&gt; ComplexNumber.imaginary(4) 0","ref":"ComplexNumber.html#imaginary/1","title":"ComplexNumber.imaginary/1","type":"function"},{"doc":"Checks if the argument is a complex (including real) number or not.iex&gt; ComplexNumber.is_complex_number(6.85) true iex&gt; ComplexNumber.is_complex_number(-3) true iex&gt; ComplexNumber.is_complex_number(ComplexNumber.new(3.5, -1)) true iex&gt; ComplexNumber.is_complex_number(:atom) false iex&gt; ComplexNumber.is_complex_number(&quot;binary&quot;) false","ref":"ComplexNumber.html#is_complex_number/1","title":"ComplexNumber.is_complex_number/1","type":"macro"},{"doc":"Makes a product of two complex numbers.iex&gt; ComplexNumber.multiply(ComplexNumber.new(2, -3), ComplexNumber.new(-3, 0.5)) %ComplexNumber{radius: 10.965856099730653, theta: 1.993650252927837} iex&gt; ComplexNumber.multiply(ComplexNumber.new(2, -3), ComplexNumber.new(3, 4.5)) 19.5 iex&gt; ComplexNumber.multiply(ComplexNumber.new(2, 3), ComplexNumber.new(-3, 4.5)) -19.5 iex&gt; ComplexNumber.multiply(2.5, ComplexNumber.new(3, -0.5)) %ComplexNumber{radius: 7.603453162872774, theta: -0.16514867741462683} iex&gt; ComplexNumber.multiply(ComplexNumber.new(3, -0.5), 2.5) %ComplexNumber{radius: 7.603453162872774, theta: -0.16514867741462683} iex&gt; ComplexNumber.multiply(4, 2.5) 10.0","ref":"ComplexNumber.html#multiply/2","title":"ComplexNumber.multiply/2","type":"function"},{"doc":"Negates a complex number.iex&gt; ComplexNumber.negate(ComplexNumber.new(4, -3)) %ComplexNumber{radius: -5.0, theta: -0.6435011087932844} iex&gt; ComplexNumber.negate(4.2) -4.2","ref":"ComplexNumber.html#negate/1","title":"ComplexNumber.negate/1","type":"function"},{"doc":"Creates a new complex number from a real part and an imaginary part.If the imaginary part is zero, it just returns a real number.iex&gt; ComplexNumber.new(3, 4) %ComplexNumber{radius: 5.0, theta: 0.9272952180016122} iex&gt; ComplexNumber.new(-3, 4) %ComplexNumber{radius: 5.0, theta: 2.214297435588181} iex&gt; ComplexNumber.new(3, 0) 3","ref":"ComplexNumber.html#new/2","title":"ComplexNumber.new/2","type":"function"},{"doc":"Returns a multivalued function representing the given base taken to the power of the given exponent.iex&gt; ComplexNumber.pow(ComplexNumber.new(6, 1.5), ComplexNumber.new(-4, -0.4)).(0) %ComplexNumber{radius: 0.0007538662030076445, theta: -1.708743364561965} iex&gt; ComplexNumber.pow(6.5, ComplexNumber.new(-4, -0.4)).(0) %ComplexNumber{radius: 0.0005602044746332418, theta: -0.7487208707606361} iex&gt; ComplexNumber.pow(ComplexNumber.new(6, 1.5), -4.4).(0) %ComplexNumber{radius: 0.0003297697637520032, theta: -1.0779061177582023} iex&gt; ComplexNumber.pow(6.5, -4.4).(0) 0.0002649605586423526 iex&gt; ComplexNumber.pow(6.5, -4.4).(1) %ComplexNumber{radius: 0.00026496055864235266, theta: -2.5132741228718367} iex&gt; ComplexNumber.pow(6.5, 0.5).(1) -2.5495097567963922","ref":"ComplexNumber.html#pow/2","title":"ComplexNumber.pow/2","type":"function"},{"doc":"Returns the real part of the given complex number.iex&gt; ComplexNumber.real(ComplexNumber.new(6.2, 3)) 6.2 iex&gt; ComplexNumber.real(4) 4","ref":"ComplexNumber.html#real/1","title":"ComplexNumber.real/1","type":"function"},{"doc":"Subtracts a complex number from another one.iex&gt; ComplexNumber.subtract(ComplexNumber.new(0.5, 2.5), ComplexNumber.new(2.5, 1.5)) %ComplexNumber{radius: 2.2360679774997894, theta: 2.6779450445889874} iex&gt; ComplexNumber.subtract(ComplexNumber.new(0.5, 4), 2.5) %ComplexNumber{radius: 4.472135954999579, theta: 2.0344439357957027} iex&gt; ComplexNumber.subtract(2.5, ComplexNumber.new(0.5, 4)) %ComplexNumber{radius: 4.472135954999579, theta: 1.1071487177940906} iex&gt; ComplexNumber.subtract(3.5, 2.5) 1.0","ref":"ComplexNumber.html#subtract/2","title":"ComplexNumber.subtract/2","type":"function"},{"doc":"","ref":"ComplexNumber.html#t:t/0","title":"ComplexNumber.t/0","type":"type"}]